@import url('https://fonts.googleapis.com/css?family=Roboto:400,400i,500,700');

body {
    font-family: 'Roboto', sans-serif;
	font-size: 14px;
    margin-bottom: 50px;
    overflow-x: hidden;
    --brandColor: #54Ac44;
    --hoverColor: #50d63c;
    --secondaryColor: #00adcf;
}
p {
	font-size: 14px;
}
a,
.page-link {
	color: var(--brandColor);
}
a:hover {
	text-decoration: none;
}
.error {
	color:#e40000;
}
/* start sweet alert message */
.sweet-alert {
    background-color: white;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    width: 420px;
    padding: 17px;
    border-radius: 5px;
    text-align: center;
    position: fixed;
    left: 50%;
    top: 50%;
    margin-left: -256px;
    margin-top: -200px;
    overflow: hidden;
    display: none;
    z-index: 99999;
}
.sweet-alert[data-has-confirm-button=false][data-has-cancel-button=false] {
    padding-bottom: 0px;
}
.sweet-alert h2 {
    color: #575757;
    font-size: 20px;
    text-align: center;
    font-weight: 600;
    text-transform: none;
    position: relative;
    margin: 25px 0;
    padding: 0;
    line-height: 40px;
    display: block;
}
/* end sweet alert message */
/* ckeditor */
.ck-rounded-corners .ck.ck-editor__main>.ck-editor__editable,
.ck.ck-editor__main>.ck-editor__editable.ck-rounded-corners {
    border-radius: var(--ck-border-radius);
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    min-height: 230px;
}
/* ckeditor */
.page-link:hover {
    color: #50d63c;
    background-color: #dceef4;
}
.page-item.active .page-link {
    background-color: var(--brandColor);
    border-color: var(--brandColor);
    color: #fff;
}
.form-control {
	font-size: 14px;
    border-radius: 4px;
    border: 1px solid #8d96a0;
    height: calc(1.5em + .938rem + 2px);
}
.form-control:focus {
    color: #191e23;
    border-color: var(--brandColor);
    box-shadow: 0 0 0 1px var(--brandColor);
    outline: 2px solid transparent;
    outline-offset: -2px;
}
.custom-control-label:before,
.custom-control-label:after {
	cursor: pointer;
}
.custom-control-label:after {
    top: 0;
    left: -1.75rem;
    width: 1.5rem;
    height: 1.5rem;
}
.custom-control-input:checked~.custom-control-label::before {
    border-color: var(--brandColor);
    background-color: var(--brandColor);
}
.site-text {
	color: var(--brandColor);
    transition: 0.3s all ease;
}
.site-text:hover {
    color: var(--hoverColor);
}
.site-btn {
	color: #fff;
	background-color: var(--brandColor);
    border-color: var(--brandColor);
}
.site-btn:hover,
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #47b936;
    border-color: #47b936;
}
.site-btn-outline {
    color: #50d63c;
    background-color: transparent;
    border-color: #50d63c;
}
.site-btn-outline:hover {
    color: #fff;
    background-color: #50d63c;
}
.select2-container .select2-selection--single {
    border: 1px solid #8d96a0;
    border-radius: 4px;
    height: 38px;
    padding-left: .37rem;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 36px;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--brandColor);
}
.select2-container .select2-selection--single:focus {
    outline: 0;
}
.overflow-visible {
    overflow: visible !important;
}

/* HEADER */
.site-header {
	background-color: #fff;
	border-bottom: 1px solid #e9e9e9;
}
.site-header .header-main {
	padding: 15px 0;
}
.site-header .header-logo .d-logo {
    max-width: calc(100% - 30px);
}
.site-header .header-logo .logo {
    margin-right: 15px;
}
.site-header .main-searchbar {
	position: relative;
}
.site-header .header-extras .main-searchbar {
	width: 65% !important;
	float: left;
}
.la-header-nav .la-header-navigation {
    padding-left: 0;
    margin-bottom: 0;
}
.la-header-nav .la-header-navigation .navigation-item {
    display: inline-block;
}
.la-header-nav .la-header-navigation .navigation-item-content {
    overflow: hidden;
    height: 45px;
    line-height: 45px;
    padding: 0 12px;
    font-size: 16px;
    cursor: pointer;
}
.la-header-nav .la-header-navigation .navigation-item-content .kgr {
    font-size: 12px;
    padding-left: 5px;
    line-height: 45px;
}
.la-header-nav .la-header-navigation .navigation-item-content .kgr-user {
    font-size: 18px;
    padding-right: 5px;
}
.la-header-nav .la-header-navigation .navigation-item-content:hover {
    color: var(--brandColor);
}
.la-header-nav .la-header-navigation .navigation-item-children-menu {
    display: none;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu.active-submenu {
    display: block;
    position: absolute;
    min-width: 180px;
    z-index: 99;
    padding: 10px 0;
    margin: 21px 0 0 0;
    background-color: #fff;
    box-shadow: 1px 1px 3px 0 rgba(0,0,0,.32);
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu li {
    display: block;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu li a {
    display: block;
    padding: 5px 20px;
    color: #212529;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu .menu-divider {
    margin: 8px 12px;
    border-bottom: 1px solid #e6e7eb;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu.active-submenu li:hover {
    background-color: #dceef4;
}
.la-header-nav .la-header-navigation .navigation-item-children-menu.active-submenu li:hover a:hover {
    color: var(--brandColor)
}
.la-header-nav .la-header-navigation .navigation-item.float-right .navigation-item-children-menu {
    right: 0;
}
.la-header-nav .la-header-navigation .menu-item a {
    line-height: 15px;
}
.la-header-nav .la-header-navigation .menu-item a .kgr {
    font-size: 18px;
    margin-right: 5px;
}

/* FOOTER */
.site-footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 50px;
    line-height: 50px;
    background-color: #333;
    z-index: 99;
}
.site-footer p {
    font-size: 12px;
}
.site-footer a:hover {
    text-decoration: underline;
}

/* VENDOR JOIN PAGE */
.progress-bar-container {
    margin: 0 auto;
    padding: 40px 0;
}
.progress-bar-content {
    height: 76px;
    padding-left: 0;
    margin-bottom: 0;
}
.progress-bar-content .step {
    float: left;
    width: 180px;
    margin: 0;
    list-style: none;
    text-align: center;
}
.progress-bar-content .step .step-order {
    width: 48px;
    height: 48px;
    margin: 0 auto 8px;
    border: 1px solid #d8d8d8;
    border-radius: 100%;
    background-color: #fff;
    font-size: 30px;
    line-height: 48px;
    color: #666;
    position: relative;
    -webkit-transition: all 0.5s ease;
       -moz-transition: all 0.5s ease;
         -o-transition: all 0.5s ease;
            transition: all 0.5s ease;
}
.progress-bar-content .step.complete-step .step-order {
    color: #50d63c;
    border-color: #50d63c;
}
.progress-bar-content .active-step .step-order {
    color: #fff;
    border-color: var(--brandColor);
    background-color: var(--brandColor);
}
.progress-bar-content .step .step-title {
	font-size: 14px;
    color: #000;
}
.progress-bar-content .step:nth-child(2) {
    margin: 0 83px;
}
.progress-bar-content .step .step-sec:before,
.progress-bar-content .step .step-wait:before {
    width: 197px;
    height: 1px;
    position: absolute;
    left: -206px;
    top: 50%;
    background: #d8d8d8;
    content: ' ';
}
.progress-bar-content .step.active-step .step-sec:before,
.progress-bar-content .step.active-step .step-wait:before,
.progress-bar-content .step.complete-step .step-sec:before,
.progress-bar-content .step.complete-step .step-wait:before {
    background: #50d63c;
}
.vendor-registration .form-step {
    display: none;
}
.vendor-registration .form-step.active-step {
    display: block;
}
.vendor-registration .select2-container {
    width: 100% !important;
}

/* Page Default CSS */
.primary-title {
    margin: 28px 0 0;
    padding: 0;
    font-size: 22px;
    color: #333;
    font-weight: 400;
    line-height: 1;
}
.secondary-title {
    font-size: 18px;
}
.table-data-filter input[type="submit"],
.table-data-filter button[type="submit"],
.table-data-filter a.btn {
    padding: .469rem 1rem;
}
.table-data-filter select.form-control,
.table-data-filter .select2-container {
    min-width: 150px;
}
.table-data-filter .vendor-balance {
    border: 1px solid var(--brandColor);
    padding: 9.5px 15px;
    color: var(--brandColor);
    border-radius: 4px;
    font-weight: 600;
}
.table-data-filter .form-control.picker__input[readonly] {
    background-color: #ffffff;
}
.table-data-filter .picker--opened .picker__holder {
    top: 20px;
}
.table-filter-tab .tab-inner {
    display: inline-block;
    position: relative;
}
.table-filter-tab .tab-inner:after {
    content: " ";
    position: absolute;
    top: calc(50% - 8px);
    right: 0;
    width: 1px;
    height: 15px;
    background-color: #dcdee3;
}
.table-filter-tab .tab-inner:last-child:after {
    content: none;
}
.table-filter-tab .tab-inner a,
.table-filter-tab .tab-inner .active-tab {
    padding: 10.5px 16px;
    color: #666;
    display: block;
}
.table-filter-tab .tab-inner a:hover {
    color: #333;
}
.table-filter-tab .tab-inner .active-tab {
    color: var(--brandColor);
}
.table-filter-tab .tab-inner .the-count {
    margin-left: 4px;
    font-weight: 400;
}
.base-table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    table-layout: fixed;
    background: #fff;
}
.base-table th {
    padding: 0;
    background: #f7f8fa;
    color: #333;
    text-align: left;
    font-weight: 400;
    border: 1px solid #e6e7eb;
    padding: 12px 8px;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: keep-all;
}
.base-table td {
    padding: 12px 8px;
    border: 1px solid #e6e7eb;
}
.base-table .dropdown .btn {
    padding: 0;
    font-size: 14px;
}
.base-table .dropdown .btn:hover,
.base-table .dropdown .btn:focus,
.base-table .dropdown.show .btn {
    text-decoration: none;
}
.base-table .dropdown .dropdown-menu a {
    font-size: 14px;
}
.base-table .order-details {
    margin-bottom: 10px;
}
.base-table .order-details .product-name {
    font-size: 14px;
    font-weight: normal;
    margin-bottom: 0;
    display: block;
}
.base-table .order-details .date,
.base-table .order-details .qty,
.base-table .order-details .unit-price {
    font-size: 12px;
    display: block;
}

/* Products pages */
.build-layout .card-group-item {
    border: 1px solid #dce5ec;
    background: #fff;
}
.build-layout .card-item-title {
    padding: 12px 26px 13px 26px;
    font-size: 14px;
    color: #2c3e50;
    border-bottom: 1px solid #dce5ec;
    background: #f7f8fa;
}
.build-layout .card-group-buttons .btn {
    border-radius: 0;
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
}
/* .build-layout .build-item {
    overflow: hidden;
} */
.build-layout .v-required {
    position: relative;
    top: 4px;
    color: red;
    margin-left: 4px;
    line-height: 20px;
    font-size: 16px;
}
.add-product .select2-container {
    width: 100% !important;
}
.add-product .product-images {
    min-height: 120px;
}
.add-product .clear-variation .kgr {
    font-size: 18px;
}
.add-product .product-variation-group:first-child .remove-variation {
    display: none !important;
}

.product-images-slider {
    position: relative;
}
.product-images-slider .owl-nav {
    position: absolute;
    top: 50%;
    /* left: 50%; */
    width: 100%;
    height: 120px;
    transform: translateY(-50%);
}
.product-images-slider .owl-nav button {
    background: #ddd !important;
    font-size: 40px !important;
    font-weight: 900 !important;
    position: absolute;
}
.owl-carousel .owl-nav button.owl-next, .owl-carousel .owl-nav button.owl-prev{
    padding: 30px 10px !important;
}
.product-images-slider .owl-nav .owl-prev {
    left: 0;
}
.product-images-slider .owl-nav .owl-next {
    right: 0;
}

/* VENDOR MANAGE REVIEWS PAGE */

/* VENDOR PROFILE PAGE */
.vendor-profile .nav-tabs .nav-link {
    border: 0;
    color: #495057;
    font-size: 16px;
}
.vendor-profile .nav-tabs .nav-link.active {
    color: var(--brandColor);
    border-bottom: 1px solid var(--brandColor);
}

.pos-banner .title,
.pos-footer .title {
    color: #3a4953;
    font-weight: 600;
    font-style: normal;
}
.pos-banner .intro,
.pos-footer .intro {
    color: #5f7887;
    font-size: 20px;
    font-weight: 400;
    font-style: normal;
}
.pos-banner .btn {
    font-size: 16px;
    min-width: 260px;
    padding-top: 12px;
    padding-bottom: 12px;
}
.card-deck .list-unstyled li {
    font-size: 16px;
}

@media (min-width: 992px) and (max-width: 1199.98px) {
	/* VENDOR JOIN PAGE */
	.progress-bar-content .step:nth-child(2) {
	    margin: 0 34px;
	}
	.progress-bar-content .step .step-sec:before {
    	width: 146px;
    	left: -156px;
	}
	.progress-bar-content .step .step-sec:after {
    	width: 146px;
    	right: -156px;
	}
}

@media (min-width: 768px) and (max-width: 992.98px) {
	/* VENDOR JOIN PAGE */
	.progress-bar-content .step {
		width: 94px;
	}
	.progress-bar-content .step .step-sec:before {
    	width: 114px;
    	left: -122px;
	}
	.progress-bar-content .step .step-sec:after {
    	width: 114px;
    	right: -122px;
	}
}

@media (max-width: 767.98px) {
	/* VENDOR JOIN PAGE */
	.progress-bar-content .step {
		display: none;
	}
	.progress-bar-content .active-step {
		display: block;
	    float: none;
	    margin: 0 auto;
	}
}



.ajax-performing-loading {
	top: 0;
	left: 0;
	background-color: rgba(255, 255, 255, .75);
	z-index: 99999;
}
.lds-roller {
	display: inline-block;
	position: absolute;
	top: calc(50% - 32px);
	left: calc(50% - 32px);
	width: 64px;
	height: 64px;
}
.lds-roller div {
	animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
	transform-origin: 32px 32px;
}
.lds-roller div:after {
	content: ' ';
	display: block;
	position: absolute;
	width: 6px;
	height: 6px;
	border-radius: 50%;
	background: #50d63c;
	margin: -3px 0 0 -3px;
}
.lds-roller div:nth-child(1) {
    animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
    top: 50px;
    left: 50px;
}
.lds-roller div:nth-child(2) {
    animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
    top: 54px;
    left: 45px;
}
.lds-roller div:nth-child(3) {
    animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
    top: 57px;
    left: 39px;
}
.lds-roller div:nth-child(4) {
    animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
    top: 58px;
    left: 32px;
}
.lds-roller div:nth-child(5) {
    animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
    top: 57px;
    left: 25px;
}
.lds-roller div:nth-child(6) {
    animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
    top: 54px;
    left: 19px;
}
.lds-roller div:nth-child(7) {
    animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
    top: 50px;
    left: 14px;
}
.lds-roller div:nth-child(8) {
    animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
    top: 45px;
    left: 10px;
}
@keyframes lds-roller {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.ellipsis {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 140px;
  }

  @media (max-width: 460px) {
    .ellipsis {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        max-width: 80px;
      }

  }


  /* for edit order status delivery charge input */

  .delivery-charge-input {
    border: 1px solid transparent;
    padding-bottom: 5px;
    max-width: 50px
  }

  .delivery-charge-input:focus {
      outline: none !important;
      border: 1px solid var(--brandColor) !important;
  }

  .variant-option-label {
    display: flex;
    align-items: start;
    border-radius: 0px;
    cursor: pointer;
    transition: .3s;
  }
  .variant-option-input {
    position: absolute;
    left: 0;
    top: 0;
    width: 1px;
    height: 1px;
    opacity: 0;
    z-index: -1;
  }

  .variant-option-design {
    width: 15px;
    height: 15px;
    margin-top: 6px;
    background: linear-gradient(to right bottom, #89e07c, #338125);
    position: relative;
  }

  .variant-option-design::before {
    content: '';

    display: inline-block;
    width: inherit;
    height: inherit;
    border-radius: inherit;

    background: hsl(0, 0%, 82%);
    transform: scale(1.1);
    transition: .3s;
  }

  .variant-option-input:checked+.variant-option-design::after {
    content: '\2713';
    top: -1px;
    position: absolute;
    left: 3px;
    color: white;
    font-size: 12px;
    font-weight: 900;
  }

  .variant-option-input:checked+.variant-option-design::before {
    transform: scale(0);
  }

  .variant-option-text {
    color: #3e3e3e;
    font-size: 15px;
    transition: .3s;
  }
